/backup-configs/{id}/restore-run
POST
/backup-configs/{id}/restore-run
const url = 'https://example.com/api/v1/backup-configs/example/restore-run';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"targetTime":"example","baseRunId":"example","port":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/backup-configs/example/restore-run \ --header 'Content-Type: application/json' \ --data '{ "targetTime": "example", "baseRunId": "example", "port": 1 }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
targetTime
string
baseRunId
string
port
integer
Example generated
{ "targetTime": "example", "baseRunId": "example", "port": 1}Responses
Section titled “ Responses ”Default Response
Media type application/json
object
Example generated
{ "ok": true, "container": "example", "port": 1, "pgVersion": "example", "recovered": true, "error": "example"}Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}